Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2893793003: Convert devtools to be client of WakeLock mojo service. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months ago by ke.he
Modified:
3 months, 3 weeks ago
Reviewers:
dgozman
CC:
chromium-reviews, jam, darin-cc_chromium.org, pfeldman, devtools-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Convert devtools to be client of WakeLock mojo service. Wake Lock is a Mojo interface that wraps PowerSaveBlocker. As part of the creation of standalone Device Service, all browser-side clients of PowerSaveBlocker should be converted to be clients of the Wake Lock Mojo interface instead. BUG=689413 Review-Url: https://codereview.chromium.org/2893793003 Cr-Commit-Position: refs/heads/master@{#473833} Committed: https://chromium.googlesource.com/chromium/src/+/f6fd56037a18d025817064d21222bc078b081428

Patch Set 1 : Convert devtools to be client of WakeLock mojo service. #

Total comments: 11
Unified diffs Side-by-side diffs Delta from patch set Stats (+30 lines, -20 lines) Patch
M content/browser/devtools/render_frame_devtools_agent_host.h View 3 chunks +5 lines, -5 lines 0 comments Download
M content/browser/devtools/render_frame_devtools_agent_host.cc View 4 chunks +25 lines, -15 lines 11 comments Download
Trybot results:  win_clang   win_chromium_compile_dbg_ng   win_chromium_x64_rel_ng   win_chromium_rel_ng   mac_chromium_compile_dbg_ng   mac_chromium_rel_ng   ios-simulator-xcode-clang   ios-simulator   ios-device-xcode-clang   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_rel_ng   chromium_presubmit   linux_chromium_asan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   chromeos_daisy_chromium_compile_only_ng   linux_android_rel_ng   cast_shell_android   android_n5x_swarming_rel   android_clang_dbg_recipe   android_cronet   android_compile_dbg   android_arm64_dbg_recipe   win_chromium_rel_ng   win_chromium_x64_rel_ng   linux_chromium_rel_ng   win_chromium_x64_rel_ng   win_clang   mac_chromium_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_compile_dbg_ng   ios-simulator   ios-simulator-xcode-clang   ios-device-xcode-clang   linux_chromium_tsan_rel_ng   ios-device   linux_chromium_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_amd64-generic_chromium_compile_only_ng   chromeos_daisy_chromium_compile_only_ng   cast_shell_linux   android_n5x_swarming_rel   cast_shell_android   linux_android_rel_ng   android_compile_dbg   android_clang_dbg_recipe   android_cronet   android_arm64_dbg_recipe 
Commit queue not available (can’t edit this change).

Messages

Total messages: 22 (14 generated)
ke.he
Hi, dgozman@, Could you PTAL on this, thanks!
4 months ago (2017-05-18 15:42:09 UTC) #11
dgozman
https://codereview.chromium.org/2893793003/diff/20001/content/browser/devtools/render_frame_devtools_agent_host.cc File content/browser/devtools/render_frame_devtools_agent_host.cc (right): https://codereview.chromium.org/2893793003/diff/20001/content/browser/devtools/render_frame_devtools_agent_host.cc#newcode830 content/browser/devtools/render_frame_devtools_agent_host.cc:830: RenderFrameDevToolsAgentHost::GetWakeLockService() { I'm not very good at mojo yet, ...
4 months ago (2017-05-18 21:58:45 UTC) #12
ke.he
dgozman@, Thanks! https://codereview.chromium.org/2893793003/diff/20001/content/browser/devtools/render_frame_devtools_agent_host.cc File content/browser/devtools/render_frame_devtools_agent_host.cc (right): https://codereview.chromium.org/2893793003/diff/20001/content/browser/devtools/render_frame_devtools_agent_host.cc#newcode830 content/browser/devtools/render_frame_devtools_agent_host.cc:830: RenderFrameDevToolsAgentHost::GetWakeLockService() { On 2017/05/18 21:58:45, dgozman wrote: ...
4 months ago (2017-05-18 23:58:48 UTC) #13
dgozman
Thank you for explanations! lgtm with some questions. https://codereview.chromium.org/2893793003/diff/20001/content/browser/devtools/render_frame_devtools_agent_host.cc File content/browser/devtools/render_frame_devtools_agent_host.cc (right): https://codereview.chromium.org/2893793003/diff/20001/content/browser/devtools/render_frame_devtools_agent_host.cc#newcode834 content/browser/devtools/render_frame_devtools_agent_host.cc:834: mojo::MakeRequest(&wake_lock_); ...
4 months ago (2017-05-19 19:15:45 UTC) #15
ke.he
https://codereview.chromium.org/2893793003/diff/20001/content/browser/devtools/render_frame_devtools_agent_host.cc File content/browser/devtools/render_frame_devtools_agent_host.cc (right): https://codereview.chromium.org/2893793003/diff/20001/content/browser/devtools/render_frame_devtools_agent_host.cc#newcode834 content/browser/devtools/render_frame_devtools_agent_host.cc:834: mojo::MakeRequest(&wake_lock_); On 2017/05/19 19:15:45, dgozman wrote: > On 2017/05/18 ...
4 months ago (2017-05-20 01:00:34 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2893793003/20001
3 months, 4 weeks ago (2017-05-23 07:08:40 UTC) #18
commit-bot: I haz the power
Committed patchset #1 (id:20001) as https://chromium.googlesource.com/chromium/src/+/f6fd56037a18d025817064d21222bc078b081428
3 months, 4 weeks ago (2017-05-23 08:02:43 UTC) #21
ke.he
3 months, 3 weeks ago (2017-05-26 03:11:13 UTC) #22
Message was sent while issue was closed.
https://codereview.chromium.org/2893793003/diff/20001/content/browser/devtool...
File content/browser/devtools/render_frame_devtools_agent_host.cc (right):

https://codereview.chromium.org/2893793003/diff/20001/content/browser/devtool...
content/browser/devtools/render_frame_devtools_agent_host.cc:839:
device::mojom::WakeLockType::PreventAppSuspension,
Oh! The original PowerSaveBlocker type is "kPowerSaveBlockPreventDisplaySleep",
I mistakenly set it as "PreventAppSuspension" here!
I guess this is the reason mentioned in Issue 726290
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b